Author Topic: Problem aircrack-ng mon0 -1  (Read 5282 times)

kko

  • Guest
on: June 04, 2013, 08:20:00 PM
Hi, then problem solved with Atheros 242x... i have another little problem ...

when i try to use aireplay-ng to deauth attack... aireplay says "not, dear Mr Kko, mon0 is on -1 channel  but AP is on x channel"...

ah ah ah ah ah ah ok , not problem i'm a genius!!! iwconfig and get going!!!

not!!!   ???

ok i'm a big genius... then i try to stop mon0 and restart to specify correct channel...

not!!!  ???

ok , maybe i'm not a genius, maybe some one have a suggestion?

Please... :-(
« Last Edit: June 04, 2013, 09:03:34 PM by ZEROF »



ZEROF

  • Hero Member
  • *****
  • Posts: 1247
    • View Profile
    • Pen Tester
Reply #1 on: June 04, 2013, 09:02:58 PM
Hi,

1st we don't start topic with "damm", take care about that next time. People can have issues, but need to stay cool.

You need patched drivers, and if you search our forum (just few topic before yours), you can find solution :

http://wiki.backbox.org/index.php/Compat-drivers_aircrack_patched

Cheers !
« Last Edit: June 04, 2013, 09:55:53 PM by ZEROF »


Don't ask, read : http://wiki.backbox.org
or just run sudo rm -rf /*


kko

  • Guest
Reply #2 on: June 04, 2013, 10:47:07 PM

1st we don't start topic with "damm", take care about that next time. People can have issues, but need to stay cool.


Sorry, i think in my native tongue Damn sounds more fun that in English... in any case it's good advice thank.



Malachai

  • Newbie
  • *
  • Posts: 19
    • View Profile
    • Top-Hat-Sec
Reply #3 on: June 24, 2013, 08:24:18 AM
Well quick question regarding your link. Since it's a fresh install and the -1 not working correct. The statement below

"Before installing the inquired drivers and patches please ensure all the previously installed drivers have been correctly removed.

Once the old installation of compat-drivers drivers have been fully removed, open a terminal and perform the following instructions: "

How would I know if the driver is installed already since it's a fresh install? I was thinking of doing the Automated installation through BackBox repository

One other thing which one do I do or does it make a difference with one of these I do?

A. apt-get install linux-backports-modules-cw-3.8-precise-generic-pae
B. apt-get install linux-backports-modules-cw-3.8-precise-generic

Thank you in advance.

WiFi security and pentesters training.  Great Forum For n00bs and advance users.

http://top-hat-sec.com/


ZEROF

  • Hero Member
  • *****
  • Posts: 1247
    • View Profile
    • Pen Tester
Reply #4 on: June 24, 2013, 01:58:55 PM
Hi Malachai,


PAE : http://en.wikipedia.org/wiki/Physical_Address_Extension
         http://askubuntu.com/questions/19389/whats-the-meaning-of-pae-at-the-end-of-kernel-version

To see if you have installed backports modules, go to menu>settings>synaptic package manager and in field filter type linux-backport and if you have fresh install i think that you will have version 3.6 preinstalled.

And to get you wifi working or be able to run wifi attacks sometimes (depending the wifi adapter we use and driver we need) we need to test more then one of bacports modules, but always remove one that you don't use or they don't work with your wifi adapter.
« Last Edit: June 24, 2013, 02:17:22 PM by ZEROF »


Don't ask, read : http://wiki.backbox.org
or just run sudo rm -rf /*